<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/mainwindow.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">mainwindow.h</div></div>
</div><!--header-->
<div class="contents">
<a href="mainwindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef MAINWINDOW_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define MAINWINDOW_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &quot;<a class="code" href="dataframe_8h.html">dataframe.h</a>&quot;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &quot;<a class="code" href="graphs_8h.html">graphs.h</a>&quot;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QMainWindow&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;QGraphicsView&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &lt;QWidget&gt;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>QT_BEGIN_NAMESPACE</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespace_ui.html">Ui</a> { <span class="keyword">class </span><a class="code hl_class" href="class_main_window.html">MainWindow</a>; }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>QT_END_NAMESPACE</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="foldopen" id="foldopen00015" data-start="{" data-end="};">
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="class_main_window.html">   15</a></span><span class="keyword">class </span><a class="code hl_class" href="class_main_window.html">MainWindow</a> : <span class="keyword">public</span> QMainWindow</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    Q_OBJECT</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <a class="code hl_function" href="class_main_window.html#ade193606e9b18026567ff304bd9e5ed9">MainWindow</a>(QWidget *parent = <span class="keyword">nullptr</span>, <span class="keyword">const</span> QString&amp; filePath = <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <a class="code hl_function" href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">~MainWindow</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="keyword">public</span> slots:</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a8ee4a5ecf758a4bbe6b83acf03106a68">fillStats</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a8e27034d5ee7111d311259cde423370e">showStat</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a9d8faff47dd5b162317b44dcf73b44fc">openChartWindow</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="class_main_window.html#a35466a70ed47252a0191168126a352a5">   29</a></span>    Ui::MainWindow *<a class="code hl_variable" href="class_main_window.html#a35466a70ed47252a0191168126a352a5">ui</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="class_main_window.html#a0af58c09897cc5d5c07039efae313787">   30</a></span>    QString <a class="code hl_variable" href="class_main_window.html#a0af58c09897cc5d5c07039efae313787">_filePath</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="class_main_window.html#acee71f1842d548203e9fcc53d44510d9">   31</a></span>    <a class="code hl_class" href="class_data_frame.html">DataFrame</a> <a class="code hl_variable" href="class_main_window.html#acee71f1842d548203e9fcc53d44510d9">_df</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="class_main_window.html#aa6f53803003e1620fb77ebda818729b5">   32</a></span>    <a class="code hl_class" href="class_graphs.html">Graphs</a>* <a class="code hl_variable" href="class_main_window.html#aa6f53803003e1620fb77ebda818729b5">lineChart</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>};</div>
</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#endif </span><span class="comment">// MAINWINDOW_H</span></div>
<div class="ttc" id="aclass_data_frame_html"><div class="ttname"><a href="class_data_frame.html">DataFrame</a></div><div class="ttdef"><b>Definition</b> dataframe.h:38</div></div>
<div class="ttc" id="aclass_graphs_html"><div class="ttname"><a href="class_graphs.html">Graphs</a></div><div class="ttdef"><b>Definition</b> graphs.h:25</div></div>
<div class="ttc" id="aclass_main_window_html"><div class="ttname"><a href="class_main_window.html">MainWindow</a></div><div class="ttdef"><b>Definition</b> mainwindow.h:16</div></div>
<div class="ttc" id="aclass_main_window_html_a0af58c09897cc5d5c07039efae313787"><div class="ttname"><a href="class_main_window.html#a0af58c09897cc5d5c07039efae313787">MainWindow::_filePath</a></div><div class="ttdeci">QString _filePath</div><div class="ttdef"><b>Definition</b> mainwindow.h:30</div></div>
<div class="ttc" id="aclass_main_window_html_a35466a70ed47252a0191168126a352a5"><div class="ttname"><a href="class_main_window.html#a35466a70ed47252a0191168126a352a5">MainWindow::ui</a></div><div class="ttdeci">Ui::MainWindow * ui</div><div class="ttdef"><b>Definition</b> mainwindow.h:29</div></div>
<div class="ttc" id="aclass_main_window_html_a8e27034d5ee7111d311259cde423370e"><div class="ttname"><a href="class_main_window.html#a8e27034d5ee7111d311259cde423370e">MainWindow::showStat</a></div><div class="ttdeci">void showStat()</div><div class="ttdef"><b>Definition</b> mainwindow.cpp:76</div></div>
<div class="ttc" id="aclass_main_window_html_a8ee4a5ecf758a4bbe6b83acf03106a68"><div class="ttname"><a href="class_main_window.html#a8ee4a5ecf758a4bbe6b83acf03106a68">MainWindow::fillStats</a></div><div class="ttdeci">void fillStats()</div><div class="ttdef"><b>Definition</b> mainwindow.cpp:63</div></div>
<div class="ttc" id="aclass_main_window_html_a9d8faff47dd5b162317b44dcf73b44fc"><div class="ttname"><a href="class_main_window.html#a9d8faff47dd5b162317b44dcf73b44fc">MainWindow::openChartWindow</a></div><div class="ttdeci">void openChartWindow()</div><div class="ttdef"><b>Definition</b> mainwindow.cpp:104</div></div>
<div class="ttc" id="aclass_main_window_html_aa6f53803003e1620fb77ebda818729b5"><div class="ttname"><a href="class_main_window.html#aa6f53803003e1620fb77ebda818729b5">MainWindow::lineChart</a></div><div class="ttdeci">Graphs * lineChart</div><div class="ttdef"><b>Definition</b> mainwindow.h:32</div></div>
<div class="ttc" id="aclass_main_window_html_acee71f1842d548203e9fcc53d44510d9"><div class="ttname"><a href="class_main_window.html#acee71f1842d548203e9fcc53d44510d9">MainWindow::_df</a></div><div class="ttdeci">DataFrame _df</div><div class="ttdef"><b>Definition</b> mainwindow.h:31</div></div>
<div class="ttc" id="aclass_main_window_html_ade193606e9b18026567ff304bd9e5ed9"><div class="ttname"><a href="class_main_window.html#ade193606e9b18026567ff304bd9e5ed9">MainWindow::MainWindow</a></div><div class="ttdeci">MainWindow(QWidget *parent=nullptr, const QString &amp;filePath=&quot;&quot;)</div><div class="ttdef"><b>Definition</b> mainwindow.cpp:25</div></div>
<div class="ttc" id="aclass_main_window_html_ae98d00a93bc118200eeef9f9bba1dba7"><div class="ttname"><a href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">MainWindow::~MainWindow</a></div><div class="ttdeci">~MainWindow()</div><div class="ttdef"><b>Definition</b> mainwindow.cpp:58</div></div>
<div class="ttc" id="adataframe_8h_html"><div class="ttname"><a href="dataframe_8h.html">dataframe.h</a></div></div>
<div class="ttc" id="agraphs_8h_html"><div class="ttname"><a href="graphs_8h.html">graphs.h</a></div></div>
<div class="ttc" id="anamespace_ui_html"><div class="ttname"><a href="namespace_ui.html">Ui</a></div><div class="ttdef"><b>Definition</b> dynamicui.h:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
